Bug 1019040 - kate included non-free files
kate included non-free files
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kate (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2013-10-15 00:30 EDT by mejiko
Modified: 2015-04-16 08:12 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-16 08:12:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Savannah 39677 None None None Never

  None (edit)
Description mejiko 2013-10-15 00:30:20 EDT
Hello.

kate included non-free files. 
Please see GNU Savannah bug number "39677" datails.

I think that this package be affected by GNU Savannah bug number "39677".

Suggests:

1. Remove non-free files and rebuild.

2. Replace fedora free (fedora acceptable licensed) files.

3. Remove fedora repos.

Thanks.


Reference:


https://savannah.nongnu.org/bugs/?39677
Comment 1 mejiko 2013-10-15 00:30:54 EDT
Blocking FE-Legal, This is license problem.
Comment 2 Rex Dieter 2013-10-15 08:59:53 EDT
To avoid having to click around for details...

---------------------------------

From: Andreas Klauer <Andreas.Klauer@metamorpher.de> 
To: Sam Geeraerts <samgee@elmundolibre.be> 
Subject: Re: LPC syntax file 
Date: Mon, 19 Aug 2013 21:24:49 +0200 
User-Agent: Mutt/1.5.21 (2010-09-15) 
On Mon, Aug 19, 2013 at 08:56:38PM +0200, Sam Geeraerts wrote: 
> I see that you are the author of the LPC syntax file 
> (kate/syntax/data/lpc.xml) for KDE's editor Kate. 

I don't think that even clears the threshold of originality. 
Do what ever you want with it. 
Regards 
Andreas Klauer 

---------------------------------

The file kate/syntax/data/lpc.xml says that it's license is "Artistic". It's from 2004, so it's safe to assume that this means the (non-free) Artistic License 1.0. 
There are also some syntax files which don't have their license field filled. I asked in #kate on Freenode. Someone called igli replied that it means that they fall under Kate's license (LGPL2), so that should be ok.

---------------------------------
Comment 3 mejiko 2014-03-15 06:10:12 EDT
Changed to rawhide.

How it this bug current status ? 
Is this bug is resolved ?

Thanks.
Comment 4 Jaroslav Reznik 2015-03-03 10:08:23 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 5 Rex Dieter 2015-04-16 08:12:16 EDT
The original author's comment is good enough for me.  He argues the contribution isn't copyright'able, and even if it is, "Do what ever you want with it." can mean, relicense it to comply with kde licensing policy.

Note You need to log in before you can comment on or make changes to this bug.